C (c) CROWN COPYRIGHT 1995, METEOROLOGICAL OFFICE, All Rights Reserved.            RAD_ALL.2711  
C                                                                                  RAD_ALL.2712  
C Use, duplication or disclosure of this code is subject to the                    RAD_ALL.2713  
C restrictions as set forth in the contract.                                       RAD_ALL.2714  
C                                                                                  RAD_ALL.2715  
C                Meteorological Office                                             RAD_ALL.2716  
C                London Road                                                       RAD_ALL.2717  
C                BRACKNELL                                                         RAD_ALL.2718  
C                Berkshire UK                                                      RAD_ALL.2719  
C                RG12 2SZ                                                          RAD_ALL.2720  
C                                                                                  RAD_ALL.2721  
C If no contract has been raised with this copy of the code, the use,              RAD_ALL.2722  
C duplication or disclosure of it is strictly prohibited.  Permission              RAD_ALL.2723  
C to do so must first be obtained in writing from the Head of Numerical            RAD_ALL.2724  
C Modelling at the above address.                                                  RAD_ALL.2725  
C ******************************COPYRIGHT******************************            RAD_ALL.2726  
C                                                                                  RAD_ALL.2727  
!+ Function to calculate third expoential integral.                                RAD_ALL.2728  
!                                                                                  RAD_ALL.2729  
! Method:                                                                          RAD_ALL.2730  
!       For small arguments a power series is used. For larger                     RAD_ALL.2731  
!       arguments a Pade approximant derived from the asymptotic                   RAD_ALL.2732  
!       expansion is used.                                                         RAD_ALL.2733  
!                                                                                  RAD_ALL.2734  
! Current Owner of Code: J. M. Edwards                                             RAD_ALL.2735  
!                                                                                  RAD_ALL.2736  
! History:                                                                         RAD_ALL.2737  
!       Version         Date                    Comment                            RAD_ALL.2738  
!       4.0             27-07-95                Original Code                      RAD_ALL.2739  
!                                               (J. M. Edwards)                    RAD_ALL.2740  
!                                               (J. M. Edwards)                    RAD_ALL.2741  
!                                                                                  RAD_ALL.2742  
! Description of Code:                                                             RAD_ALL.2743  
!   FORTRAN 77 with extensions listed in documentation.                            RAD_ALL.2744  
!                                                                                  RAD_ALL.2745  
!- ---------------------------------------------------------------------           RAD_ALL.2746  
      FUNCTION E3_ACC01(X)                                                         RAD_ALL.2747  
!                                                                                  RAD_ALL.2748  
!                                                                                  RAD_ALL.2749  
      IMPLICIT NONE                                                                RAD_ALL.2750  
!                                                                                  RAD_ALL.2751  
!                                                                                  RAD_ALL.2752  
!     DUMMY ARGUMENTS                                                              RAD_ALL.2753  
      REAL                                                                         RAD_ALL.2754  
     &     X                                                                       RAD_ALL.2755  
!             POINT OF EVALUATION                                                  RAD_ALL.2756  
     &   , E3_ACC01                                                                RAD_ALL.2757  
!             NAME OF FUNCTION                                                     RAD_ALL.2758  
!                                                                                  RAD_ALL.2759  
!     LOCAL VARIABLES                                                              RAD_ALL.2760  
      REAL                                                                         RAD_ALL.2761  
     &     EULER                                                                   RAD_ALL.2762  
!             EULER'S CONSTANT                                                     RAD_ALL.2763  
!                                                                                  RAD_ALL.2764  
      PARAMETER(EULER=0.5772156E+00)                                               RAD_ALL.2765  
!                                                                                  RAD_ALL.2766  
!                                                                                  RAD_ALL.2767  
      IF (X.LT.1.0E-06) THEN                                                       RAD_ALL.2768  
         E3_ACC01=0.5E+00                                                          RAD_ALL.2769  
      ELSE IF (X.LT.2.0E+00) THEN                                                  RAD_ALL.2770  
         E3_ACC01=-0.5E+00*X*X*LOG(X)+0.5E+00                                      RAD_ALL.2771  
     &      +X*(-1.0E+00+X*(0.75E+00-0.5E+00*EULER                                 RAD_ALL.2772  
     &      +X*(1.0E+00/6.0E+00-X*(1.0E+00/48.0E+00                                RAD_ALL.2773  
     &      -X*(1.0E+00/3.60E+02-X*(1.0E+00/2.880E+03                              RAD_ALL.2774  
     &      -X*(1.0E+00/2.5200E+04)))))))                                          RAD_ALL.2775  
      ELSE                                                                         RAD_ALL.2776  
!        WE USE A DOUBLY CUBIC PADE APPROXIMANT DERIVED FROM THE                   RAD_ALL.2777  
!        ASYMPTOTIC EXPRESSION.                                                    RAD_ALL.2778  
         E3_ACC01=(EXP(-X)/X)                                                      RAD_ALL.2779  
     &      *(6.0E+00+X*(48.0E+00+X*(15.0E+00+X)))                                 RAD_ALL.2780  
     &      /(120.0E+00+X*(90.0E+00+X*(18.0E+00+X)))                               RAD_ALL.2781  
      ENDIF                                                                        RAD_ALL.2782  
!                                                                                  RAD_ALL.2783  
!                                                                                  RAD_ALL.2784  
      RETURN                                                                       RAD_ALL.2785  
      END  
